Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Metric Operations
GETMetric OperationsSince 2.3SynchronousAuth Required

GetMetricLabelValue

GetMetricLabelValue

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • namespaceStringRequired

    The namespace.

  • metricNameStringRequired

    The metric name.

  • labelNamesListRequired

    The name list of the target labels.

  • filterLabelsList

    Optional. The label filter list. For example, you can set the HostUuid label to e47f7145f4cd4fca8e2856038ecdf3e1 to filter values specified in labelNames.

  • startTimeLong

    Optional. The start time.

Responses

200 OK

On success, this API returns the following response structure.

  • labelsListRequired

    The label values.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/zwatch/metrics/label-values

/zstack/v1/zwatch/metrics/label-values

Operation ID

GetMetricLabelValue

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/metrics/label-values?namespace=<namespace>&metricName=<metricName>&labelNames=<labelNames>&filterLabels=<filterLabels>&startTime=1&endTime=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "labels": [ { "VMUuid": "e47f7145f4cd4fca8e2856038ecdf3e1", "CPUNum": "1" } ] }

Change History

This API has no change history records yet.

View all change history